petsc-3.4.2 2013-07-02

# MatNestGetSubMats

Returns the entire two dimensional array of matrices defining a nest matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNestGetSubMats(Mat A,PetscInt *M,PetscInt *N,Mat ***mat)

Not collective

### Input Parameters

A -nest matrix

### Output Parameter

| M | - number of rows in the nest matrix
| N | - number of cols in the nest matrix
| mat | - 2d array of matrices

### Notes

The user should not free the array mat.

### See Also

MatNestGetSize(), MatNestGetSubMat()

Level:developer
Location:src/mat/impls/nest/matnest.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages